> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get PCI Public Key

> Returns the RSA public key (Base64-encoded DER SPKI) used to encrypt AES
session keys. The client uses this key to RSA-OAEP encrypt a one-time
AES-256 session key before requesting encrypted card details. The key is
fetched from partner-api over HTTP.



## OpenAPI

````yaml https://core.prod.gnosispay.com/user-api/openapi.json get /pci/public-key
openapi: 3.1.0
info:
  title: User Service
  version: 0.0.0
servers: []
security: []
tags:
  - name: Health
  - name: Auth
  - name: User
  - name: Cards
  - name: Phone
  - name: PCI
  - name: Terms
  - name: Source of Funds
paths:
  /pci/public-key:
    get:
      tags:
        - PCI
      summary: Get PCI Public Key
      description: |-
        Returns the RSA public key (Base64-encoded DER SPKI) used to encrypt AES
        session keys. The client uses this key to RSA-OAEP encrypt a one-time
        AES-256 session key before requesting encrypted card details. The key is
        fetched from partner-api over HTTP.
      operationId: PCI_getPublicKey
      parameters: []
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PciPublicKeyResponse'
        '401':
          description: Access is unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '404':
          description: The server cannot find the requested resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFound'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - BearerAuth: []
components:
  schemas:
    PciPublicKeyResponse:
      type: object
      required:
        - publicKey
      properties:
        publicKey:
          type: string
          description: >-
            Base64-encoded DER (SPKI) RSA public key used to encrypt AES session
            keys.
    Unauthorized:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    NotFound:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    Error:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: Bearer

````